FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 07-09-2010, 08:11 AM
Neil Bothwick
 
Default dependency on unmerged imagemagick

On Fri, 09 Jul 2010 04:02:50 -0500, Valmor de Almeida wrote:

> I have unmerged imagemagick from my system did a revdep-rebuild and
> emerge --depclean but continue to get this output
>
> -> equery depends imagemagick
> [ Searching for packages depending on imagemagick... ]
> gnome-extra/libgsf-1.14.15 (gnome? media-gfx/imagemagick)
> media-libs/gegl-0.0.22 (doc? media-gfx/imagemagick
>
> why are these packages still depending on imagemagick?

They're not, equery depends is broken.


--
Neil Bothwick

If I save time, when do I get it back?
 
Old 07-09-2010, 08:16 AM
Daniel Pielmeier
 
Default dependency on unmerged imagemagick

lmeida <val.gentoo@gmail.com>:
>
> Hello,
>
> I have unmerged imagemagick from my system did a revdep-rebuild and
> emerge --depclean but continue to get this output
>
> -> equery depends imagemagick
> [ Searching for packages depending on imagemagick... ]
> gnome-extra/libgsf-1.14.15 (gnome? media-gfx/imagemagick)
> media-libs/gegl-0.0.22 (doc? media-gfx/imagemagick
>
> why are these packages still depending on imagemagick?

Do you have the gnome USE flag enabled for gnome-extra/libgsf or the
doc USE flag for media-libs/gegl? I guess not.
Equery depends does not give you the correct information. I guess it
just looks for imagemagick in the dependencies list but does not take
the USE flags into account.

Use emerge -pv --depclean media-gfx/imagemagick for correct information

--
Daniel Pielmeier
 
Old 07-09-2010, 10:14 AM
Valmor de Almeida
 
Default dependency on unmerged imagemagick

Daniel Pielmeier wrote:
[snip]
>
> Do you have the gnome USE flag enabled for gnome-extra/libgsf or the
> doc USE flag for media-libs/gegl? I guess not.

no

> Equery depends does not give you the correct information. I guess it
> just looks for imagemagick in the dependencies list but does not take
> the USE flags into account.
>
> Use emerge -pv --depclean media-gfx/imagemagick for correct information
>

-> emerge -pv --depclean media-gfx/imagemagick
>>> No packages selected for removal by depclean

Thanks,

--
Valmor
 

Thread Tools




All times are GMT. The time now is 09:32 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org